---------------------
PatchSet 3755 
Date: 2002/03/23 10:35:23
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
Added more WIN32 stuff

Members: 
	acconfig.h:1.13->1.13.6.1 
	acinclude.m4:1.1->1.1.64.1 
	configure.in:1.42.2.5->1.42.2.5.4.1 
	doc/win32-relnotes.txt:1.1->1.1.32.1 
	include/config.h:1.5.18.1->1.5.18.2 
	include/radix.h:1.7.14.1->1.7.14.2 
	lib/ntlmauth.c:1.6.14.1->1.6.14.2 
	lib/util.c:1.12.14.1->1.12.14.2 
	port/win32/squid.dsw:1.1.2.2->1.1.2.3 
	port/win32/update.cmd:1.1->1.1.2.1 
	port/win32/LDAP_auth/LDAP_auth.dsp:1.1->1.1.2.1 
	port/win32/fake_auth/fake_auth.dsp:1.1->1.1.2.1 
	port/win32/nt_auth/nt_auth.dsp:1.1->1.1.2.1 
	port/win32/squidclient/squidclient.dsp:1.1->1.1.2.1 
	port/win32/unlinkd/unlinkd.dsp:1.1->1.1.2.1 
	snmplib/parse.c:1.2.14.1->1.2.14.2 
	src/client_side.c:1.47.2.1.4.1->1.47.2.1.4.2 
	src/comm_select.c:1.8.10.1->1.8.10.2 
	src/auth/basic/helpers/LDAP/squid_ldap_auth.c:1.15->1.15.14.1 

Index: squid/acconfig.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/Attic/acconfig.h,v
retrieving revision 1.13
retrieving revision 1.13.6.1
diff -u -r1.13 -r1.13.6.1
--- squid/acconfig.h	28 Nov 2001 23:30:02 -0000	1.13
+++ squid/acconfig.h	23 Mar 2002 10:35:23 -0000	1.13.6.1
@@ -23,7 +23,7 @@
 #ifndef __CONFIGURE_H__
 #define __CONFIGURE_H__
 @TOP@
-/* $Id: acconfig.h,v 1.13 2001/11/28 23:30:02 squidadm Exp $ */
+/* $Id: acconfig.h,v 1.13.6.1 2002/03/23 10:35:23 serassio Exp $ */
 
 /*
  * configure command line used to configure Squid
@@ -151,6 +151,11 @@
 /* Define if NTLM is allowed to fail gracefully when a helper has problems */
 #undef NTLM_FAIL_OPEN
 
+/*
+ * Define Windows NT & Windows 2000 run service mode
+ */
+#undef USE_WIN32_SERVICE
+
 /********************************
  *  END OF CONFIGURABLE OPTIONS *
  ********************************/
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/acinclude.m4	Wed Feb 14 00:57:30 2007
@@ -0,0 +1,119 @@
+dnl COMPILER WIN32 support ====================================
+# figure out how to run CC with access to the win32 api if present
+# configure that as the CC program, 
+# WIN32 may be present with WINE, under cygwin, or under mingw,
+# or cross compilers targeting those same three targets.
+# as it happens, I can only test cygwin, so extra input here will be appreciated
+# send bug reports to Robert Collins <rbtcollins@hotmail.com>
+#
+# logic: is CC already configured? if not, call AC_PROG_CC.
+# if so - try it. If that doesn't work ,try -mwin32. If that doesn't work, fail
+#
+# 2001-03-15 - Changed from yes/no to true/false -suggested by Lars J Aas<larsa@sim.no>
+# 	* Change true to : - suggest by Alexandre Oliva <oliva@lsd.ic.unicamp.br>
+#	* changed layout on the basis of autoconf mailing list:
+#		there are now two interfaces, a language specific one which sets
+#		or clears WIN32 && WIN32FLAGS as appropriate
+#	* m4 Syntax fixup: Akim Demaille <akim@epita.fr>
+#
+# All faults& bugs are mine - Robert
+
+AC_DEFUN([AC_PROG_CC_WIN32], [
+dnl AC_REQUIRE([AC_PROG_CC])dnl
+AC_MSG_CHECKING([how to access the Win32 API])
+WIN32FLAGS=
+AC_TRY_COMPILE(,[
+#ifndef WIN32
+# ifndef _WIN32
+#  error WIN32 or _WIN32 not defined
+# endif
+#endif], [
+dnl found windows.h with the current config.
+AC_MSG_RESULT([present by default])
+], [
+dnl try -mwin32
+ac_compile_save="$ac_compile"
+dnl we change CC so config.log looks correct
+save_CC="$CC"
+ac_compile="$ac_compile -mwin32"
+CC="$CC -mwin32"
+AC_TRY_COMPILE(,[
+#ifndef WIN32
+# ifndef _WIN32
+#  error WIN32 or _WIN32 not defined
+# endif
+#endif], [
+dnl found windows.h using -mwin32
+AC_MSG_RESULT([found via -mwin32])
+ac_compile="$ac_compile_save"
+CC="$save_CC"
+WIN32FLAGS="-mwin32"
+], [
+ac_compile="$ac_compile_save"
+CC="$save_CC"
+AC_MSG_RESULT([not found])
+])
+])
+
+])
+
+
+# figure out how to run CXX with access to the win32 api if present
+# configure that as the CXX program,
+# WIN32 may be present with WINE, under cygwin, or under mingw,
+# or cross compilers targeting those same three targets.
+# as it happens, I can only test cygwin, so extra input here will be appreciated
+# send bug reports to Robert Collins <rbtcollins@hotmail.com>
+
+AC_DEFUN([AC_PROG_CXX_WIN32], [
+dnl AC_REQUIRE([AC_PROG_CXX])dnl
+AC_MSG_CHECKING([how to access the Win32 API])
+WIN32FLAGS=
+AC_TRY_COMPILE(,[
+#ifndef WIN32
+# ifndef _WIN32
+#  error WIN32 or _WIN32 not defined
+# endif
+#endif], [
+dnl found windows.h with the current config.
+AC_MSG_RESULT([present by default])
+], [
+dnl try -mwin32
+ac_compile_save="$ac_compile"
+dnl we change CC so config.log looks correct
+save_CXX="$CXX"
+ac_compile="$ac_compile -mwin32"
+CXX="$CXX -mwin32"
+AC_TRY_COMPILE(,[
+#ifndef WIN32
+# ifndef _WIN32
+#  error WIN32 or _WIN32 not defined
+# endif
+#endif], [
+dnl found windows.h using -mwin32
+AC_MSG_RESULT([found via -mwin32])
+ac_compile="$ac_compile_save"
+CXX="$save_CXX"
+WIN32FLAGS="-mwin32"
+], [
+ac_compile="$ac_compile_save"
+CXX="$save_CXX"
+AC_MSG_RESULT([not found])
+])
+])
+
+])
+
+
+# high level interface for finding out compiler support for win32.
+AC_DEFUN([AC_API_WIN32], [
+
+AC_LANG_CASE(
+	    [C],	AC_PROG_CC_WIN32 [CFLAGS="$WIN32FLAGS $CFLAGS"
+	CPPFLAGS="$WIN32FLAGS $CPPFLAGS"],
+            [C++],	AC_PROG_CXX_WIN32 [CXXFLAGS="$WIN32FLAGS $CXXFLAGS"
+	CPPFLAGS="$WIN32FLAGS $CPPFLAGS"],
+             [AC_FATAL([No macro support for WIN32 with ] _AC_LANG) ])
+])
+
+dnl end compiler WIN32 support ===========================================
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.42.2.5
retrieving revision 1.42.2.5.4.1
diff -u -r1.42.2.5 -r1.42.2.5.4.1
--- squid/configure.in	14 Feb 2002 01:17:00 -0000	1.42.2.5
+++ squid/configure.in	23 Mar 2002 10:35:24 -0000	1.42.2.5.4.1
@@ -3,7 +3,7 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.42.2.5 2002/02/14 01:17:00 squidadm Exp $
+dnl  $Id: configure.in,v 1.42.2.5.4.1 2002/03/23 10:35:24 serassio Exp $
 dnl
 dnl
 dnl
@@ -11,7 +11,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE(squid, 2.5.PRE4-CVS)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.42.2.5 $)dnl
+AC_REVISION($Revision: 1.42.2.5.4.1 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -66,6 +66,8 @@
 
 AC_DEFINE_UNQUOTED(CONFIG_HOST_TYPE, "$host")
 
+dnl Can the CC program be asked to use the Win32 API?
+AC_API_WIN32
 AC_DEFINE_UNQUOTED(SQUID_CONFIGURE_OPTIONS, "$ac_configure_args")
 
 dnl Gerben Wierda <Gerben_Wierda@RnA.nl>
@@ -789,6 +791,15 @@
   fi
 ])
 
+dnl Enable WIN32 Service compile mode
+AC_ARG_ENABLE(win32-service,
+[  --enable-win32-service  Compile Squid as a WIN32 Service
+                          Works only on Windows NT and Windows 2000 Platforms.],
+[ if test "$enableval" = "yes" ; then
+    echo "Enabling WIN32 run service mode"
+    AC_DEFINE(USE_WIN32_SERVICE)
+  fi
+])
 
 dnl Select auth schemes modules to build
 AC_ARG_ENABLE(auth,
@@ -2089,6 +2100,7 @@
 	src/auth/basic/helpers/NCSA/Makefile \
 	src/auth/basic/helpers/PAM/Makefile \
 	src/auth/basic/helpers/SMB/Makefile \
+	src/auth/basic/helpers/win32_locallogon/Makefile \
 	src/auth/basic/helpers/YP/Makefile \
 	src/auth/basic/helpers/getpwnam/Makefile \
 	src/auth/basic/helpers/multi-domain-NTLM/Makefile \
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/doc/win32-relnotes.txt	Wed Feb 14 00:57:30 2007
@@ -0,0 +1,57 @@
+WIN32 Squid Relese Notes
+
+
+Windows Service running mode
+
+To enable the service mode, use the --enable-win32-service configure option
+When in Windows service mode the -N Squid switch is disabled, and default run mode of
+Squid is no daemon (=no service) mode, so is possible to run Squid from command line
+for debug purpose with all command line options available.
+
+The service installation is made with -i command line switch, it's possible to use 
+-f switch at the same time for specify a different config-file settings for the Squid 
+Service that is stored on Registry.
+A new -n switch specify the Windows Service Name, so multiple Squid instance are allowed.
+"SquidNT" is the default when the switch is not used.
+
+So the install service syntax is "squid -i [-f file] [-n name]".
+
+To start as service is used a "hidden" --ntservice:service-name command line switch,
+where service-name is the name specified with -n options at service install time.
+
+Service uninstallation is made with -r command line switch plus the appropriate 
+-n switch.
+
+The -k switch family must be used with the appropriate -f and -n switches, so the syntax is:
+
+squid -k command [-f file] -n service-name
+
+where service-name is the name specified with -n options at service install time.
+
+To use Squid original command line, the new -O switch must be used, the sintax is:
+
+squid -O cmdline [-n service-name]
+
+If multiple service command line options must be specified, use quote. The -n switch is 
+needed only when non default service name is in use.
+
+Example:
+
+squid -O "-D -a 8080" -n squidsvc
+
+
+PSAPI.DLL (Process Status Helper) Considerations
+
+The process status helper functions make it easier for you to obtain information about
+processes and device drivers running on Microsoft® Windows NT®/Windows® 2000. These
+functions are available in PSAPI.DLL, which is distributed in the Microsoft® Platform
+Software Development Kit (SDK). The same information is generally available through the
+performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
+freely redistributable.
+PSAPI.DLL is available only on Windows NT, 2000 and XP. The implementation in Squid is
+aware of this, and try to use it only on the rigth platform.
+On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
+you can find it on Windows NT Resource KIT. If you have problem, you can You can 
+download it here: http://www.serassio.it/download/psapi.zip
+On Windows 2000 it is available installing the Windows 2000 Support Tools, located on the
+Support\Tools folder of the installation Windows 2000 CD-ROM.
Index: squid/include/config.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/config.h,v
retrieving revision 1.5.18.1
retrieving revision 1.5.18.2
diff -u -r1.5.18.1 -r1.5.18.2
--- squid/include/config.h	14 Mar 2002 20:23:41 -0000	1.5.18.1
+++ squid/include/config.h	23 Mar 2002 10:35:24 -0000	1.5.18.2
@@ -106,7 +106,7 @@
 
 #elif defined(WIN32) || defined(WINNT) || defined(__WIN32__) || defined(__WIN32)
 #define _SQUID_MSWIN_			      /* MS Compilers */
-#include "squid-mswin.h"
+#include "squid-mswin.h"
 
 #elif defined(__APPLE__)
 #define _SQUID_APPLE_
Index: squid/include/radix.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/radix.h,v
retrieving revision 1.7.14.1
retrieving revision 1.7.14.2
diff -u -r1.7.14.1 -r1.7.14.2
--- squid/include/radix.h	14 Mar 2002 20:23:41 -0000	1.7.14.1
+++ squid/include/radix.h	23 Mar 2002 10:35:24 -0000	1.7.14.2
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.h,v 1.7.14.1 2002/03/14 20:23:41 serassio Exp $
+ * $Id: radix.h,v 1.7.14.2 2002/03/23 10:35:24 serassio Exp $
  */
 
 #ifndef SQUID_RADIX_H
@@ -153,8 +153,8 @@
 extern struct squid_radix_node *squid_rn_search(void *, struct squid_radix_node *);
 extern struct squid_radix_node *squid_rn_search_m(void *, struct squid_radix_node *, void *);
 extern struct squid_radix_node *squid_rn_lookup(void *, void *, struct squid_radix_node_head *);
-#ifndef min
+#ifndef min
 #define min(x,y) ((x)<(y)? (x) : (y))
-#endif
+#endif
 
 #endif /* SQUID_RADIX_H */
Index: squid/lib/ntlmauth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/ntlmauth.c,v
retrieving revision 1.6.14.1
retrieving revision 1.6.14.2
diff -u -r1.6.14.1 -r1.6.14.2
--- squid/lib/ntlmauth.c	14 Mar 2002 20:23:42 -0000	1.6.14.1
+++ squid/lib/ntlmauth.c	23 Mar 2002 10:35:24 -0000	1.6.14.2
@@ -22,7 +22,7 @@
  */
 
 #include "util.h"		/* for base64-related stuff */
-#include "ntlmauth.h"
+#include "ntlmauth.h"
 
 #ifdef HAVE_STRING_H
 #include <string.h>
Index: squid/lib/util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/util.c,v
retrieving revision 1.12.14.1
retrieving revision 1.12.14.2
diff -u -r1.12.14.1 -r1.12.14.2
--- squid/lib/util.c	14 Mar 2002 20:23:42 -0000	1.12.14.1
+++ squid/lib/util.c	23 Mar 2002 10:35:24 -0000	1.12.14.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: util.c,v 1.12.14.1 2002/03/14 20:23:42 serassio Exp $
+ * $Id: util.c,v 1.12.14.2 2002/03/23 10:35:24 serassio Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -32,7 +32,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
-#define UTIL_C
+#define UTIL_C
 
 #define _etext etext
 
Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/port/win32/squid.dsw	18 Mar 2002 22:33:47 -0000	1.1.2.2
+++ squid/port/win32/squid.dsw	23 Mar 2002 10:35:24 -0000	1.1.2.3
@@ -3,6 +3,18 @@
 
 ###############################################################################
 
+Project: "LDAP_auth"=".\LDAP_auth\LDAP_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
 Project: "PerlPreprocessing"=".\PerlPreprocessing.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -57,6 +69,21 @@
 
 ###############################################################################
 
+Project: "fake_auth"=".\fake_auth\fake_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "libawin32"=".\libawin32\libawin32.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -245,6 +272,12 @@
     Begin Project Dependency
     Project_Dep_Name libawin32
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name LDAP_auth
+    End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name fake_auth
+    End Project Dependency
 }}}
 
 ###############################################################################
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/update.cmd	Wed Feb 14 00:57:30 2007
@@ -0,0 +1,14 @@
+@echo off
+if %1==release net stop "SquidNT"
+copy %0\..\squid\%1\squid.exe %2\bin\squid.exe
+copy %0\..\unlinkd\%1\unlinkd.exe %2\libexec\unlinkd.exe
+rem copy %0\..\dnsserver\%1\dnsserver.exe %2\libexec\dnsserver.exe
+copy %0\..\squidclient\%1\squidclient.exe %2\squidclient.exe
+copy %0\..\fake_auth\%1\fake_auth.exe %2\libexec\fake_auth.exe
+copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\nt_auth.exe
+rem copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
+copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\ldap_auth.exe
+rem copy %0\..\..\contrib\htpasswd\%1\htpasswd.exe %2\htpasswd.exe
+copy %0\..\cachemgr\%1\cachemgr.exe %2\libexec\cachemgr.exe
+rem copy %0\..\..\contrib\chpasswd\%1\chpasswd.exe %2\cgi-bin\chpasswd.cgi
+if %1==release net start "SquidNT"
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/LDAP_auth/LDAP_auth.dsp	Wed Feb 14 00:57:31 2007
@@ -0,0 +1,109 @@
+# Microsoft Developer Studio Project File - Name="LDAP_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Application" 0x0101
+
+CFG=LDAP_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "LDAP_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "LDAP_auth.mak" CFG="LDAP_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "LDAP_auth - Win32 Release" (based on "Win32 (x86) Application")
+!MESSAGE "LDAP_auth - Win32 Debug" (based on "Win32 (x86) Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+MTL=midl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "LDAP_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /YX /FD /c
+# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /win32
+# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /win32
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /machine:I386
+# ADD LINK32 Wldap32.lib /nologo /subsystem:console /machine:I386
+# SUBTRACT LINK32 /pdb:none
+
+!ELSEIF  "$(CFG)" == "LDAP_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /YX /FD /GZ /c
+# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /win32
+# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /win32
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 Wldap32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# SUBTRACT LINK32 /pdb:none
+
+!ENDIF 
+
+# Begin Target
+
+# Name "LDAP_auth - Win32 Release"
+# Name "LDAP_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\basic\helpers\LDAP\squid_ldap_auth.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/fake_auth/fake_auth.dsp	Wed Feb 14 00:57:31 2007
@@ -0,0 +1,104 @@
+# Microsoft Developer Studio Project File - Name="fake_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=fake_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "fake_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "fake_auth.mak" CFG="fake_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "fake_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "fake_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "fake_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "fake_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "fake_auth - Win32 Release"
+# Name "fake_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\ntlm\helpers\fakeauth\fakeauth_auth.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\ntlm\helpers\fakeauth\ntlm.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/nt_auth/nt_auth.dsp	Wed Feb 14 00:57:31 2007
@@ -0,0 +1,110 @@
+# Microsoft Developer Studio Project File - Name="nt_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=nt_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "nt_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "nt_auth.mak" CFG="nt_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "nt_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "nt_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "nt_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 advapi32.lib netapi32.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "nt_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 advapi32.lib netapi32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "nt_auth - Win32 Release"
+# Name "nt_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\basic\helpers\win32_locallogon\NT_auth.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\basic\helpers\win32_locallogon\valid.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\basic\helpers\win32_locallogon\valid.h
+# End Source File
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/squidclient/squidclient.dsp	Wed Feb 14 00:57:31 2007
@@ -0,0 +1,102 @@
+# Microsoft Developer Studio Project File - Name="squidclient" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=squidclient - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "squidclient.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "squidclient.mak" CFG="squidclient - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "squidclient - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "squidclient - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "squidclient - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 ws2_32.lib /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "squidclient - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 ws2_32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "squidclient - Win32 Release"
+# Name "squidclient - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\src\client.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/unlinkd/unlinkd.dsp	Wed Feb 14 00:57:31 2007
@@ -0,0 +1,102 @@
+# Microsoft Developer Studio Project File - Name="unlinkd" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=unlinkd - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "unlinkd.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "unlinkd.mak" CFG="unlinkd - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "unlinkd - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "unlinkd - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "unlinkd - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "unlinkd - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ  /c
+# ADD CPP /nologo /G6 /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /YX /FD /GZ  /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "unlinkd - Win32 Release"
+# Name "unlinkd - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\..\..\src\unlinkd.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
Index: squid/snmplib/parse.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/parse.c,v
retrieving revision 1.2.14.1
retrieving revision 1.2.14.2
diff -u -r1.2.14.1 -r1.2.14.2
--- squid/snmplib/parse.c	14 Mar 2002 20:23:42 -0000	1.2.14.1
+++ squid/snmplib/parse.c	23 Mar 2002 10:35:25 -0000	1.2.14.2
@@ -107,11 +107,11 @@
 };
 
 int Line = 1;
-
-#ifdef _SQUID_MSWIN_
-#undef OPAQUE
-#undef OPTIONAL
-#endif
+
+#ifdef _SQUID_MSWIN_
+#undef OPAQUE
+#undef OPTIONAL
+#endif
 
 /* types of tokens */
 #define	CONTINUE    -1
Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.47.2.1.4.1
retrieving revision 1.47.2.1.4.2
diff -u -r1.47.2.1.4.1 -r1.47.2.1.4.2
--- squid/src/client_side.c	17 Mar 2002 18:16:06 -0000	1.47.2.1.4.1
+++ squid/src/client_side.c	23 Mar 2002 10:35:25 -0000	1.47.2.1.4.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.47.2.1.4.1 2002/03/17 18:16:06 serassio Exp $
+ * $Id: client_side.c,v 1.47.2.1.4.2 2002/03/23 10:35:25 serassio Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -2031,7 +2031,7 @@
 	 * This hack may hit performance a little, but it's better than 
 	 * blocking!.
 	 */
-#ifdef _SQUID_CYGWIN_
+#if defined(_SQUID_CYGWIN_) || defined(_SQUID_MSWIN_)
 	commSetSelect(conn->fd, COMM_SELECT_READ, clientReadRequest, conn, 0);
 #else
 	clientReadRequest(conn->fd, conn);	/* Read next request */
Index: squid/src/comm_select.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/comm_select.c,v
retrieving revision 1.8.10.1
retrieving revision 1.8.10.2
diff -u -r1.8.10.1 -r1.8.10.2
--- squid/src/comm_select.c	17 Mar 2002 21:44:21 -0000	1.8.10.1
+++ squid/src/comm_select.c	23 Mar 2002 10:35:25 -0000	1.8.10.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_select.c,v 1.8.10.1 2002/03/17 21:44:21 serassio Exp $
+ * $Id: comm_select.c,v 1.8.10.2 2002/03/23 10:35:25 serassio Exp $
  *
  * DEBUG: section 5     Socket Functions
  *
@@ -665,21 +665,22 @@
 #if DEBUG_FDBITS
     int i;
 #endif
-    fd_mask *pfdsp;
     static time_t last_timeout = 0;
     struct timeval poll_time;
     double timeout = current_dtime + (msec / 1000.0);
-    fde *F;
-#ifdef _SQUID_MSWIN_
-    int no_bits;
-    fd_set errfds;
-    FD_ZERO(&errfds);
-#else
-    int k;
-    fd_mask *fdsp;
-    fd_mask tmask;
-    int maxindex;
-#endif
+    fde *F;
+#ifdef _SQUID_MSWIN_
+    int no_bits;
+    fd_set errfds;
+    FD_ZERO(&errfds);
+    FD_ZERO(&pendingfds);
+#else
+    fd_mask *pfdsp;
+    int k;
+    fd_mask *fdsp;
+    fd_mask tmask;
+    int maxindex;
+#endif
     do {
 #if !ALARM_UPDATES_TIME
 	getCurrentTime();
@@ -696,38 +697,38 @@
 	if (commCheckHTTPIncoming)
 	    comm_select_http_incoming();
 	callicp = calldns = callhttp = 0;
-	maxfd = Biggest_FD + 1;
-#ifdef _SQUID_MSWIN_
-	xmemcpy(&readfds, &global_readfds, sizeof(global_readfds));
-	xmemcpy(&writefds, &global_writefds, sizeof(global_writefds));
-	/* remove stalled FDs, and deal with pending descriptors */
-	pending = 0;
-	for (j = 0; j < (int) readfds.fd_count; j++) {
-	    for ( fd = Biggest_FD; fd; fd-- ) {
-		if ( _get_osfhandle(fd) == readfds.fd_array[j] )
-		    break;
-	    }
-	    assert(fd);
-	    switch (commDeferRead(fd)) {
-	    case 0:
-		break;
-	    case 1:
-		FD_CLR(fd, &readfds);
-		break;
-#if DELAY_POOLS
-	    case -1:
-		FD_SET(fd, &slowfds);
-		break;
-#endif
-	    default:
-		fatalf("bad return value from commDeferRead(FD %d)\n", fd);
-		if (FD_ISSET(fd, &readfds) && fd_table[fd].flags.read_pending) {
-		    FD_SET(fd, &pendingfds);
-		    pending++;
-		}
-	    }
-	}
-#else
+	maxfd = Biggest_FD + 1;
+#ifdef _SQUID_MSWIN_
+	xmemcpy(&readfds, &global_readfds, sizeof(global_readfds));
+	xmemcpy(&writefds, &global_writefds, sizeof(global_writefds));
+	/* remove stalled FDs, and deal with pending descriptors */
+	pending = 0;
+	for (j = 0; j < (int) readfds.fd_count; j++) {
+	    for ( fd = Biggest_FD; fd; fd-- ) {
+		if ( _get_osfhandle(fd) == readfds.fd_array[j] )
+		    break;
+	    }
+	    assert(fd);
+	    switch (commDeferRead(fd)) {
+	    case 0:
+		break;
+	    case 1:
+		FD_CLR(fd, &readfds);
+		break;
+#if DELAY_POOLS
+	    case -1:
+		FD_SET(fd, &slowfds);
+		break;
+#endif
+	    default:
+		fatalf("bad return value from commDeferRead(FD %d)\n", fd);
+	    }
+	    if (FD_ISSET(fd, &readfds) && fd_table[fd].flags.read_pending) {
+	        FD_SET(fd, &pendingfds);
+		pending++;
+	    }
+	}
+#else
 	xmemcpy(&readfds, &global_readfds,
 	    howmany(maxfd, FD_MASK_BITS) * FD_MASK_BYTES);
 	xmemcpy(&writefds, &global_writefds,
@@ -764,7 +765,7 @@
 		}
 	    }
 	}
-#endif
+#endif
 #if DEBUG_FDBITS
 	for (i = 0; i < maxfd; i++) {
 	    /* Check each open socket for a handler. */
@@ -822,19 +823,20 @@
 	if (num == 0 && pending == 0)
 	    continue;
 	/* Scan return fd masks for ready descriptors */
-#ifdef _SQUID_MSWIN_
-	assert(readfds.fd_count <= (unsigned int) Biggest_FD);
-	no_bits = 1;
-	for (j = 0; j < (int) readfds.fd_count; j++) {
-	    for ( fd = Biggest_FD; fd; fd-- ) {
-		if ( _get_osfhandle(fd) == readfds.fd_array[j] ) {
-		    no_bits = 0;
-		    break;
-		}
-	    }
-	    if (no_bits)
-	        continue;
-#else
+#ifdef _SQUID_MSWIN_
+	assert(readfds.fd_count <= (unsigned int) Biggest_FD);
+	assert(pendingfds.fd_count <= (unsigned int) Biggest_FD);
+	no_bits = 1;
+	for (j = 0; j < (int) readfds.fd_count; j++) {
+	    for ( fd = Biggest_FD; fd; fd-- ) {
+		if ( _get_osfhandle(fd) == readfds.fd_array[j] ) {
+		    no_bits = 0;
+		    break;
+		}
+	    }
+	    if (no_bits)
+	        continue;
+#else
 	fdsp = (fd_mask *) & readfds;
 	pfdsp = (fd_mask *) & pendingfds;
 	maxindex = howmany(maxfd, FD_MASK_BITS);
@@ -849,7 +851,7 @@
 		/* Found a set bit */
 		fd = (j * FD_MASK_BITS) + k;
 		EBIT_CLR(tmask, k);	/* this will be done */
-#endif
+#endif
 #if DEBUG_FDBITS
 		debug(5, 9) ("FD %d bit set for reading\n", fd);
 		assert(FD_ISSET(fd, &readfds));
@@ -887,37 +889,37 @@
 			comm_select_http_incoming();
 		}
 	    }
-#ifdef _SQUID_MSWIN_
-#if 1
-	    assert(errfds.fd_count <= (unsigned int) Biggest_FD);
-	    for (j = 0; j < (int) errfds.fd_count; j++) {
-		for ( fd = Biggest_FD; fd; fd-- ) {
-		    if ( _get_osfhandle(fd) == errfds.fd_array[j] )
-			break;
-		}
-		assert(fd);
-		F = &fd_table[fd];
-		if ((hdl = F->write_handler)) {
-		    F->write_handler = NULL;
-		    commUpdateWriteBits(fd, NULL);
-		    hdl(fd, F->write_data);
-		    statCounter.select_fds++;
-		}
-	    }
-#endif
-	    assert(writefds.fd_count <= (unsigned int) Biggest_FD);
-	    no_bits = 1;
-	    for (j = 0; j < (int) writefds.fd_count; j++) {
-		for ( fd = Biggest_FD; fd; fd-- ) {
-		    if ( _get_osfhandle(fd) == writefds.fd_array[j] ) {
-			no_bits = 0;
-			break;
-		    }
-		}
-		if (no_bits)
-		    continue;
-		assert(fd >= 0);
-#else
+#ifdef _SQUID_MSWIN_
+#if 1
+	    assert(errfds.fd_count <= (unsigned int) Biggest_FD);
+	    for (j = 0; j < (int) errfds.fd_count; j++) {
+		for ( fd = Biggest_FD; fd; fd-- ) {
+		    if ( _get_osfhandle(fd) == errfds.fd_array[j] )
+			break;
+		}
+		assert(fd);
+		F = &fd_table[fd];
+		if ((hdl = F->write_handler)) {
+		    F->write_handler = NULL;
+		    commUpdateWriteBits(fd, NULL);
+		    hdl(fd, F->write_data);
+		    statCounter.select_fds++;
+		}
+	    }
+#endif
+	    assert(writefds.fd_count <= (unsigned int) Biggest_FD);
+	    no_bits = 1;
+	    for (j = 0; j < (int) writefds.fd_count; j++) {
+		for ( fd = Biggest_FD; fd; fd-- ) {
+		    if ( _get_osfhandle(fd) == writefds.fd_array[j] ) {
+			no_bits = 0;
+			break;
+		    }
+		}
+		if (no_bits)
+		    continue;
+		assert(fd >= 0);
+#else
 	}
 	fdsp = (fd_mask *) & writefds;
 	for (j = 0; j < maxindex; j++) {
@@ -931,7 +933,7 @@
 		/* Found a set bit */
 		fd = (j * FD_MASK_BITS) + k;
 		EBIT_CLR(tmask, k);	/* this will be done */
-#endif
+#endif
 #if DEBUG_FDBITS
 		debug(5, 9) ("FD %d bit set for writing\n", fd);
 		assert(FD_ISSET(fd, &writefds));
@@ -961,9 +963,9 @@
 			comm_select_dns_incoming();
 		    if (commCheckHTTPIncoming)
 			comm_select_http_incoming();
-#ifndef _SQUID_MSWIN_
-		}
-#endif
+#ifndef _SQUID_MSWIN_
+		}
+#endif
 	    }
 	}
 	if (callicp)
@@ -1115,10 +1117,49 @@
 static void
 checkTimeouts(void)
 {
+#ifdef _SQUID_MSWIN_
+    int	j;
+    fd_set readfds;
+    fd_set writefds;
+#endif
     int fd;
     fde *F = NULL;
     PF *callback;
+#ifdef _SQUID_MSWIN_
+    xmemcpy(&readfds, &global_readfds, sizeof(global_readfds));
+    xmemcpy(&writefds, &global_writefds, sizeof(global_writefds));
+    for (j = 0; j < (int) readfds.fd_count; j++) {
+        for ( fd = Biggest_FD; fd; fd-- ) {
+	    if ( _get_osfhandle(fd) == readfds.fd_array[j] )
+	        break;
+	}
+#else
     for (fd = 0; fd <= Biggest_FD; fd++) {
+#endif
+	F = &fd_table[fd];
+	if (!F->flags.open)
+	    continue;
+	if (F->timeout == 0)
+	    continue;
+	if (F->timeout > squid_curtime)
+	    continue;
+	debug(5, 5) ("checkTimeouts: FD %d Expired\n", fd);
+	if (F->timeout_handler) {
+	    debug(5, 5) ("checkTimeouts: FD %d: Call timeout handler\n", fd);
+	    callback = F->timeout_handler;
+	    F->timeout_handler = NULL;
+	    callback(fd, F->timeout_data);
+	} else {
+	    debug(5, 5) ("checkTimeouts: FD %d: Forcing comm_close()\n", fd);
+	    comm_close(fd);
+	}
+    }
+#ifdef _SQUID_MSWIN_
+    for (j = 0; j < (int) writefds.fd_count; j++) {
+	for ( fd = Biggest_FD; fd; fd-- ) {
+	    if ( _get_osfhandle(fd) == writefds.fd_array[j] )
+		break;
+	}
 	F = &fd_table[fd];
 	if (!F->flags.open)
 	    continue;
@@ -1137,6 +1178,7 @@
 	    comm_close(fd);
 	}
     }
+#endif
 }
 
 static void
Index: squid/src/auth/basic/helpers/LDAP/squid_ldap_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/basic/helpers/LDAP/Attic/squid_ldap_auth.c,v
retrieving revision 1.15
retrieving revision 1.15.14.1
diff -u -r1.15 -r1.15.14.1
--- squid/src/auth/basic/helpers/LDAP/squid_ldap_auth.c	17 Oct 2001 18:51:22 -0000	1.15
+++ squid/src/auth/basic/helpers/LDAP/squid_ldap_auth.c	23 Mar 2002 10:35:26 -0000	1.15.14.1
@@ -50,8 +50,14 @@
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
+#ifdef _WIN32
+#define snprintf _snprintf
+#include <windows.h>
+#include <winldap.h>
+#else
 #include <lber.h>
 #include <ldap.h>
+#endif
 
 /* Change this to your search base */
 static char *basedn;
